import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyAnnualComponent implements OnInit {
    private frequencyService;
    monthList: Array<any>;
    yearlyInterval: string;
    yearlyInput: number;
    yearlyFailed: number;
    yearlyWindow: number;
    yearlyDay: number;
    yearlyLifeCycleStart: Date;
    yearlyLifeCycleEndTime: Date;
    yearlyLifecycleOccurance: number;
    yearlySeletedLifecycleType: number;
    yearlySelected: number;
    lifecycleDetails: any;
    previousStartDate: number;
    frequencyInfo: any;
    shortMonth: Array<string>;
    pageType: 'responsibility' | 'policy';
    frequencyData: any;
    mode: any;
    startDate: number;
    frequencyDetails: EventEmitter<any>;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onTimeChanged(event: string): void;
    dateChange(event: number): void;
    valueChangedFirst(event: any): void;
    selectedMonth(event: any): void;
    lifecycleChange(event: any): void;
    onValueChange(event: any): void;
    getAnnualFrequency(): void;
    getFrequencyPlaceholder(yearlyInput: any): string;
    getPlaceholderForSt2(): string;
    getPlaceholderForGt1(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyAnnualComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyAnnualComponent, "app-frequency-annual", never, { "pageType": { "alias": "pageType"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; }, never, never, false, never>;
}
